What are expires headers and how do I add them to my website.

Speed up with expires headers

Prerequisites Thank you for visiting my blog. First, I’d like to point out that this guide does not apply to cloud hosted websites such as Shopify or big commerce. What are expires headers Expires headers tell the browser, which elements of a website to keep in the browser cache and for how long. Every time […]

How to fix Magento 1.x checkout after upgrading to 1.9.3.3 or 1.9.3.4

How to fix Magento 1.x checkout after upgrading to 1.9.3.3 or 1.9.3.4

After you’ve upgraded to Magento version 1.9.3.4 have you noticed that your check out just sits on billing information and doesn’t proceed to the shipping options? Apparently, the Magento team discovered a security issue and added form key validation on check out. What are form keys? Form keys help prevent Cross Site Request Forgery attacks on Magento […]

How to fix Apache 2 500 internal server error

How to fix Apache2 500 Internal server error

Utilizing expires headers is an important part of optimizing your website. At times it can be tricky. Apache2 configuration syntax is extremely particular. I’ve gathered a few items to check when you’ve experienced this issue. 1. Server logs When troubleshooting anything with Apache 2, your first step should be checking the apache error log. The […]

How to fix ExpiresByType takes two arguments, a MIME type followed by an expiry date code

500 Internal Server Error

Quick Introduction Recently I was optimizing a client website on a development server. Typically when optimizing I’ll start with going through .htaccess and ensuring that it’s set up for the best web performance. I will typically spend the most time with Expires headers. Every website will respond to expires headers differently which is the reason […]

How to upgrade to PHP 7 on Ubuntu with Apache and mod php.

How to install PHP 7

Prerequisites It’s always best to upgrade your php version to the latest stable version but keep in mind, your website must be able to handle the upgrade. This tutorial assumes that you’re running Ubuntu Trusty and Mod php. You must have the ability to run these commands as root or as a sudo user. If […]